.textMain{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    width: 30vw;
    z-index: 10;
    text-align: left;
    padding: 20px;
}
.textHeader{
    font-size: 2rem;
    font-weight: 600;
    line-height: 0;
}
.textName{
    font-size: 4rem;
    font-weight: 800;
    padding-bottom: 10px;
}
.textParagraph{
    font-size: 1.3rem;
    font-weight: 600;
    line-height: 2rem;
}
.appeal{
    background: linear-gradient(135deg, rgba(var(--backVar),0.3), rgba(var(--backDarkerVar), 0.5));
    border-radius: 30px 10px / 10px 30px;
    padding: 20px;
    text-shadow: 2px 2px 5px var(--backDarker);
}
.contactLinks{
    display: flex;
    justify-content: center;
    position: absolute;
    margin-top: 10px;
    height: 60px;
    width: 576px;
    top: 85%;
    left: 0%;
    gap: 10px;
}
.contactLinks div{
    background-color: var(--backDarker);
    width: 60px;
    height: 60px;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 10px 10px rgba(var(--backDarkerVar), 0.3);
    transition: 0.3s ease-out;
    transition-delay: 0s;
}
.contact{
    object-fit: scale-down;
    height: 40%;
    width: 40%;
    object-fit: contain;
}
.contactLinks:has(> div:hover) > div:not(:hover){
    transform: scale(0.7);
}
.contactLinks > div:hover{
    width: 160px;
    border-radius: 50px;
    border: 3px solid var(--backDarker);
    transition-delay: 0.5s ease-out;
    cursor: pointer;
}
.linkedIn{
    background: linear-gradient(135deg, rgba(var(--backDarkerVar), 1), rgba(var(--linkedInLogo), 0.8));
}
.gitHub{
    background: linear-gradient(135deg, var(--backDarker), rgba(var(--darkGitHub), 0.8)); 
}
.gmail{
    background: linear-gradient(135deg, var(--backDarker), rgba(var(--gmailLogo), 1));
}
@media screen and (max-width: 850px){
    .textMain{
        width: 60vw;
    }
    .contactLinks{
        width: 300px;
        top: 11%;
        left: 0%;
    }
}
@media screen and (max-height: 850px){
    .contactLinks{
        display: none;
    }
}